## org.apache.lucene.codecs.diskdv
Class DiskDocValuesConsumer

    java.lang.Object
      org.apache.lucene.codecs.DocValuesConsumer
          org.apache.lucene.codecs.diskdv.DiskDocValuesConsumer

All Implemented Interfaces:
  Closeable

    public class DiskDocValuesConsumer

extends DocValuesConsumer

writer for `DiskDocValuesFormat`

Constructor Summary
`DiskDocValuesConsumer(SegmentWriteState state, String dataCodec, String dataExtension, String metaCodec, String metaExtension)`

Method Summary
`void` `addBinaryField(FieldInfo field, Iterable<BytesRef> values)`
`void` `addNumericField(FieldInfo field, Iterable<Number> values)`
`void` `addSortedField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrd)`
`void` `addSortedSetField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrdCount, Iterable<Number> ords)`
`void` `close()`

Methods inherited from class org.apache.lucene.codecs.DocValuesConsumer
`mergeBinaryField, mergeNumericField, mergeSortedField, mergeSortedSetField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiskDocValuesConsumer

    public DiskDocValuesConsumer(SegmentWriteState state,
                                 String dataCodec,
                                 String dataExtension,
                                 String metaCodec,
                                 String metaExtension)
                          throws IOException

Throws:
  `IOException`

Method Detail

### addNumericField

    public void addNumericField(FieldInfo field,
                                Iterable<Number> values)
                         throws IOException

  Specified by:
    `addNumericField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addBinaryField

    public void addBinaryField(FieldInfo field,
                               Iterable<BytesRef> values)
                        throws IOException

  Specified by:
    `addBinaryField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addSortedField

    public void addSortedField(FieldInfo field,
                               Iterable<BytesRef> values,
                               Iterable<Number> docToOrd)
                        throws IOException

  Specified by:
    `addSortedField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### addSortedSetField

    public void addSortedSetField(FieldInfo field,
                                  Iterable<BytesRef> values,
                                  Iterable<Number> docToOrdCount,
                                  Iterable<Number> ords)
                           throws IOException

  Specified by:
    `addSortedSetField` in class `DocValuesConsumer`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.